Class | RSS::RDF::Item
In: | rss/trackback.rb rss/image.rb rss/dublincore.rb rss/content.rb rss/1.0.rb
Parent: | Object

### Methods

new required_uri to_s

### Included Modules

TrackBackModel10 ImageItemModel DublinCoreModel ContentModel RSS10

### Public Class methods

new(about=nil)

[Source]

    # File rss/1.0.rb, line 516
          def initialize(about=nil)
            super()
            @about = about
          end

required_uri()

[Source]

    # File rss/1.0.rb, line 492
            def required_uri
              ::RSS::URI
            end

### Public Instance methods

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/1.0.rb, line 521
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent) do |next_indent|
              [
                title_element(false, next_indent),
                link_element(false, next_indent),
                description_element(false, next_indent),
                other_element(false, next_indent),
              ]
            end
            rv = convert(rv) if need_convert
            rv
          end

[Validate]